<?php
/*
Filename: 		functions.php
Date: 			06-06-25
Copyright: 		2006, clores
Author: 		clores
Description: 	Multi-Author Template for WordPress (Subtle)
Requires:
*/


class themeGluedIdeas_Subtle {

	function addOptions () {

		if (isset($_POST['gi_subtle_reset'])) { themeGluedIdeas_Subtle::initOptions(true); }

		if (isset($_POST['gi_subtle_save'])) {

			$aOptions = themeGluedIdeas_Subtle::initOptions(false);

			$aOptions['errors'] = array();

			$aOptions['style'] = $_POST['gi_subtle_style'];
			$aOptions['description'] = stripslashes($_POST['gi_subtle_description']);
			$aOptions['lead_count'] = $_POST['gi_subtle_lead_count'];
			$aOptions['lead_cats'] = $_POST['gi_subtle_lead_cats'];
			$aOptions['feedburner'] = $_POST['gi_subtle_feedburner'];
			$aOptions['feedburner_id'] = $_POST['gi_subtle_feedburner_id'];

			if ($_POST['gi_subtle_show_archives'] == 'true') {
				$aOptions['show_archives'] = true;
			} else {
				$aOptions['show_archives'] = false;
			}

			if ($_POST['gi_subtle_show_metalinks'] == 'true') {
				$aOptions['show_metalinks'] = true;
			} else {
				$aOptions['show_metalinks'] = false;
			}

			$aOptions['archives_cat'] = $_POST['gi_subtle_archives_cat'];

			if ($_POST['gi_subtle_show_subpages'] == 'true') {
				$aOptions['show_subpages'] = true;
			} else {
				$aOptions['show_subpages'] = false;
			}
			
			// Handle header creation if a valid JPG was sent
			$sHeaderFolder = get_theme_root() . '/' . get_template() . '/styles/default/';

			if (is_uploaded_file($_FILES['gi_subtle_header']['tmp_name']) || $_POST['gi_subtle_reset_header'] == 'true') {
				if (is_writable($sHeaderFolder . 'header.jpg') && is_writable($sHeaderFolder . 'header_menu.jpg')) {

					if (function_exists('imagecopy')) {
						if ($_POST['gi_subtle_reset_header'] == 'true') {
							$imgHeaderBase = imagecreatefromjpeg($sHeaderFolder . 'header_default.jpg');
						} else {
							$imgHeaderBase = imagecreatefromjpeg($_FILES['gi_subtle_header']['tmp_name']);
						}
						$imgHeaderOverlay = imagecreatefrompng($sHeaderFolder . 'header.png');
						$imgMenuOverlay = imagecreatefrompng($sHeaderFolder . 'header_menu.png');
	
						$imgHeader = imagecreatetruecolor(imagesx($imgHeaderOverlay), imagesy($imgHeaderOverlay));
						$imgMenu = imagecreatetruecolor(imagesx($imgMenuOverlay), imagesy($imgMenuOverlay));
						
						imagecopy($imgMenu, $imgHeaderBase, 0, 0, 20, 100, 780, 45);
						imagecopy($imgMenu, $imgMenuOverlay, 0, 0, 0, 0, 780, 45);
						imagejpeg($imgMenu, $sHeaderFolder . 'header_menu.jpg', 100);
	
						imagecopy($imgHeader, $imgHeaderBase, 20, 0, 0, 0, 820, 145);
						imagecopy($imgHeader, $imgHeaderOverlay, 0, 0, 0, 0, 860, 145);
						imagejpeg($imgHeader, $sHeaderFolder . 'header.jpg', 100);
	
					} else {
	
						$aOptions['errors'][] = "Your host does not support the GD extension.  Check with them to see if support is available.";
	
					}

				} else {

					$aOptions['errors'][] = "The header file you uploaded was not written correctly.  Make sure that both header.jpg and header_menu.jpg in the Uploaded_Header folder are writable.";

				}

			}

			update_option('gi_subtle_theme', $aOptions);

		}
		
		add_theme_page("Glued Ideas 'Subtle' Theme Options", "Current Theme Options", 'edit_themes', basename(__FILE__), array('themeGluedIdeas_Subtle', 'displayOptions'));
	}
	
	function initOptions ($bReset) {
		$aOptions = get_option('gi_subtle_theme');
		if (!is_array($aOptions) || $bReset) {
			$aOptions['style'] = 'default';
			$aOptions['description'] = '<h2>Welcome to ' . get_bloginfo('name') . '</h2><p>Thank you for taking the time to visit my blog!  Take a second to peak around and check out some of my previous posts.  Of course, I would love to find out what you think as well, so make sure to comment.  See you around!</p><ul class="links"><li class="icon information"><a href="/?page_id=2"><span>Find out more...</span></a></li></ul>';
			$aOptions['lead_count'] = 1;
			$aOptions['lead_cats'] = '';
			$aOptions['feedburner'] = '';
			$aOptions['feedburner_id'] = '';
			$aOptions['show_archives'] = false;
			$aOptions['archives_cat'] = 'Uncategorized';
			$aOptions['show_subpages'] = false;
			update_option('gi_subtle_theme', $aOptions);
		}
		return $aOptions;
	}

	function displayOptions () {
		$aOptions = themeGluedIdeas_Subtle::initOptions(false);

		// Get the styles folder listing
		$sStyleFolder = TEMPLATEPATH . '/styles/';
		$aStyleFolder = array();
		$objStyleFolder = dir($sStyleFolder);
		while (false !== ($sFile = $objStyleFolder->read())) {
			 if (is_dir($sStyleFolder . $sFile) && $sFile != '.' &&  $sFile != '..') {
			 	$aStyleFolder[] = $sFile;
			 }
		}
		$objStyleFolder->close();

?>
<div class="wrap">
	<h2>Glued Ideas Themes - Subtle</h2>
	<p>Based on a joke my brother-in-law made, Subtle is the first public theme released by Glued Ideas.  Designed for sites that have multiple authors, Subtle also makes use of WordPress Widgets, making customization a snap.  For more information about this and other themes from Glued Ideas, <a href="http://blog.gluedideas.com">visit us at our blog</a>.</p>
<?php
	if (count($aOptions['errors']) > 0) {
		echo ('<div class="error"><p>The following errors occured when saving your options:</p><ul>');
		foreach($aOptions['errors'] as $sError) {
			echo ('<li>' . $sError . '</li>');
		}
		echo ('</ul></div>');
		$aOptions['errors'] = array();
		update_option('gi_subtle_theme', $aOptions);
	}
?>
	<form action="#" method="post" enctype="multipart/form-data" name="gi_subtle_form" id="gi_subtle_form">

		<fieldset name="general_options" class="options">
			<legend>Theme Specific Options</legend>
			<table width="100%" cellspacing="2" cellpadding="5" class="editform"> 
				<tr valign="top"> 
					<th width="33%" scope="row">Theme Style</th> 
					<td><select name="gi_subtle_style" size="1">
<?php
		if (is_array($aStyleFolder)) {
			foreach ($aStyleFolder as $sStyle) {
				if ($sStyle == $aOptions['style']) {
					$sSelected = ' selected ';
				} else {
					$sSelected = '';
				}
				echo '<option value="' . $sStyle . '"' . $sSelected . '>' . $sStyle . '</option>' . "\n";
			}
		} else {
			echo '<option value="0">Please install a valid style in the /styles/ folder.</option>';
		}
?>
					</select>
					<br />Select a style for this theme.  Find more styles at our <a href="http://blog.gluedideas.com/">development blog</a>.</td> 
				</tr>
				<tr valign="top"> 
					<th width="33%" scope="row">Upload Header</th> 
					<td><input name="gi_subtle_header" id="gi_subtle_header" type="file" size="50" />
					<br />Select an image from your computer to use as your header image.<br />Note: File dimensions should be 820 x 145 pixels.</td> 
				</tr>
				<tr valign="top"> 
					<th width="33%" scope="row">Reset Header</th> 
					<td><input name="gi_subtle_reset_header" type="checkbox" value="true" /> Reset the Default style's header.</td> 
				</tr>
				<tr valign="top"> 
					<th width="33%" scope="row">Show Metalinks</th> 
					<td><?php if ($aOptions['show_metalinks'] == true) { echo ('<input name="gi_subtle_show_metalinks" type="checkbox" value="true" checked>'); } else { echo ('<input name="gi_subtle_show_metalinks" type="checkbox" value="true">'); } ?> Show Comment Number and Technorati / Digg / Delicious links with posts.</td> 
				</tr>

				<tr valign="top"> 
					<th width="33%" scope="row">Show Sub-Pages</th> 
					<td><?php if ($aOptions['show_subpages'] == true) { echo ('<input name="gi_subtle_show_subpages" type="checkbox" value="true" checked>'); } else { echo ('<input name="gi_subtle_show_subpages" type="checkbox" value="true">'); } ?> Show sub-pages when viewing a page.</td> 
				</tr>
				<tr valign="top"> 
					<th width="33%" scope="row">Show Archives Link</th> 
					<td>This option has been removed to conform to WordPress theme standards.  To add an archive page:
					<ol>
						<li>Create a new, black page</li>
						<li>Give the page a title - whatever you would like it to have on the menu</li>
						<li>Find the "Page Templates" section on the page editor and open it up</li>
						<li>Select "Archives" from the Page Template drop-down</li>
						<li>Save your page</li>
						<li>You're done!</li>
					</ol>
					</td> 
				</tr>
				<tr valign="top"> 
					<th width="33%" scope="row">Site Description</th> 
					<td><textarea name="gi_subtle_description" cols="50" rows="10" id="gi_subtle_description"><?php echo($aOptions['description']); ?></textarea><br />If a description for the site is given here, it will be displayed as a prominent information box on the home page.</td> 
				</tr>
				<tr valign="top"> 
					<th width="33%" scope="row">Number of Leads</th> 
					<td><input name="gi_subtle_lead_count" type="text" id="gi_subtle_lead_count" value="<?php echo($aOptions['lead_count']); ?>" size="2" />
					<br />The number of posts on the home page to be shown as "lead stories" - these will display with their full-text (up to the "more" tag).</td> 
				</tr>
				<tr valign="top"> 
					<th width="33%" scope="row">Categories to Display</th> 
					<td><input name="gi_subtle_lead_cats" type="text" id="gi_subtle_lead_cats" value="<?php echo($aOptions['lead_cats']); ?>" size="50" />
					<br />Display only the categories you want to display in your front-page loop.  Just provide a comma-separated list of category slugs you'd like to use.</td> 
				</tr>
			</table>
		</fieldset>

		<fieldset name="feedburner_options" class="options">
			<legend>Feedburner Options</legend>
			<p>Make reading your RSS feeds easier for your audience by signing up with <a href="http://www.feedburner.com">FeedBurner</a>.</p>
			<table width="100%" cellspacing="2" cellpadding="5" class="editform"> 
				<tr valign="top"> 
					<th width="33%" scope="row">E-mail Subscription (Feed ID)</th> 
					<td><input name="gi_subtle_feedburner_id" type="text" id="gi_subtle_feedburner_id" value="<?php echo($aOptions['feedburner_id']); ?>" size="50" /><br />If you have enabled e-mail subscriptions, type the numeric ID for your feed.  You can find this by going to "My Feeds" and then clicking on the feed for this blog.  The URL will end with "?id=XXXXXXX" - that number is the Feed ID.</td> 
				</tr>
				<tr valign="top"> 
					<th width="33%" scope="row">Feedburner Link</th> 
					<td><input name="gi_subtle_feedburner" type="text" id="gi_subtle_feedburner" value="<?php echo($aOptions['feedburner']); ?>" size="50" /><br />The URL that people go to for this feed.</td> 
				</tr>
			</table>
		</fieldset>

		<p class="submit"><input type="submit" name="gi_subtle_reset" value="Reset" /></p>
		<p class="submit"><input type="submit" name="gi_subtle_save" value="Save" /></p>
	</form>
</div>
<?php
	}
	
}

// Register functions
add_action('admin_menu', array('themeGluedIdeas_Subtle', 'addOptions'));

// Add widget support
if ( function_exists('register_sidebar') ) {
	register_sidebar( array('name' => 'widgets_home_a', 'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget' => '</div>', 'before_title' => '<h3>', 'after_title' => '</h3>') );
    register_sidebar( array('name' => 'widgets_home_b', 'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget' => '</div>', 'before_title' => '<h3>', 'after_title' => '</h3>') );
    register_sidebar( array('name' => 'widgets_page', 'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget' => '</div>', 'before_title' => '<h3>', 'after_title' => '</h3>') );
}

?>