<?php
/*
Filename: 		header.php
Date: 			06-06-25
Copyright: 		2006, clores
Author: 		clores 
Description: 	Multi-Author Template for WordPress (Subtle)
Requires:
*/

if (is_home()) { $sMenuHome = 'current_page_item'; } else { $sMenuHome = 'page_item'; }

if (is_archive()) { $sMenuArchive = 'current_page_item'; } else { $sMenuArchive = 'page_item'; }

$aOptions = themeGluedIdeas_Subtle::initOptions(false);

if (!file_exists(get_theme_root() . '/' . get_template() . '/styles/' . $aOptions['style'])) {
	$aOptions['style'] = 'default';
}

?>
<!-- Header Start -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> - <?php } ?> <?php wp_title(); ?></title>
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->

    <link href="<?php bloginfo('stylesheet_directory'); ?>/assets/css/layout.css" rel="stylesheet" type="text/css" />
    <link href="<?php bloginfo('stylesheet_directory'); ?>/styles/<?php if (isset($aOptions['style'])) { echo($aOptions['style']); } else { echo('default'); } ?>/default.css" rel="stylesheet" type="text/css" />

	<?php if (isset($aOptions['feedburner']) && $aOptions['feedburner'] != "") : ?>
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0 - Feedburner" href="<?php echo $aOptions['feedburner']; ?>" />
	<?php else : ?>
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<?php endif; ?>

	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="shortcut icon" type="image/x-icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />

	<script language="JavaScript" type="text/javascript" src="<?php bloginfo('template_directory'); ?>/assets/js/core.js"></script>
	<script language="JavaScript" type="text/javascript" src="<?php bloginfo('template_directory'); ?>/assets/js/dom.js"></script>


	<?php wp_head(); ?>
</head>

<body>

<div id="container">

	<div id="header">
		<div class="style_content">

			<form action="<?php bloginfo('home'); ?>/" name="search_box" id="search_box" method="post">
				<label for="input_search" id="label_search">Find this</label> <input type="text" id="input_search" class="input" name="s" /><input type="image" src="<?php bloginfo('stylesheet_directory'); ?>/assets/images/icon_search.gif" align="top" id="button_search" value="Search" />
			</form>
			
			<h1 id="title"><a href="<?php echo get_settings('home'); ?>/"><span><?php bloginfo('name'); ?></span></a></h1>
			<p id="tagline"><span><?php bloginfo('description'); ?></span></p>
			
			<ul id="menu">
				<li class="<?php echo($sMenuHome); ?>"><a href="<?php echo get_settings('home'); ?>/">Home</a></li>
				<?php wp_list_pages('depth=1&title_li=0&sort_column=menu_order'); ?>
			</ul>

		</div>
	</div>


	<div id="content">
		<div class="style_content">
<!-- Header End -->