<?php
/*
Filename: 		search.php
Date: 			06-06-25
Copyright: 		2006, clores
Author: 		clores 
Description: 	Multi-Author Template for WordPress (Subtle)
Requires:
*/

if (isset($_GET['author_name'])) {
	$objAuthor = get_userdatabylogin(get_the_author_login());
} else {
	$objAuthor = get_userdata(intval($author));
}

?>
<?php get_header(); ?>
<!-- Content Start -->

			<div id="loop_articles">
			
<?php if (is_author()) : ?>
				<h2>Author Archives for <?php echo($objAuthor->display_name); ?></h2>
<?php elseif (is_search()) : ?>
				<h2>Search Results for "<?php echo wp_specialchars($s); ?>"</h2>
<?php else : ?>
				<h2>Site Archives <?php single_cat_title(''); ?></h2>
<?php endif; ?>

<?php if (have_posts()) : ?>

				<div class="navigation">
					<ul class="links">
						<li class="next"><?php next_posts_link('Next Page &raquo;') ?></li>
						<li class="previous"><?php previous_posts_link('&laquo; Previous Entries') ?>&nbsp;</li>
					</ul>
				</div>


<?php while (have_posts()) : the_post(); ?>

				<div id="post_<?php the_ID(); ?>" class="post summary">
					<h3 class="title"><a href="<?php the_permalink() ?>"><span><?php the_title(); ?></span></a></h3>
					<div class="timestamp author">Posted by <?php the_author_posts_link(); ?> on <?php the_time('F jS, Y') ?></div>
					<div class="content">
						<?php the_excerpt(); ?>
					</div>
				</div>


<?php endwhile; ?>

				<div class="navigation">
					<ul class="links">
						<li class="next"><?php next_posts_link('Next Page &raquo;') ?></li>
						<li class="previous"><?php previous_posts_link('&laquo; Previous Entries') ?>&nbsp;</li>
					</ul>
				</div>


<?php else : ?>

				<p>No posts were found.  Try searching again.</p>
				
<?php endif; ?>
			</div>
			

<?php if (is_author()) : ?>
			<div id="author" class="prominent reduced"><div class="inner">
				<h2><?php echo($objAuthor->display_name); ?></h2>
				<p><?php echo($objAuthor->description); ?></p>
				<ul>
					<?php if ($objAuthor->user_url != 'http://') : ?><li class="icon author"><a href="<?php echo($objAuthor->user_url); ?>">Visit Author's Website</a></li><?php endif; ?>
					<li class="icon feed"><a href="<?php get_author_rss_link(true, $objAuthor->ID, $objAuthor->user_login); ?>">Author's Feed</a></li>
				</ul>
			</div></div>
<?php else : ?>
			<div id="search" class="prominent reduced"><div class="inner">
				<h2>Find It Quickly</h2>
				<p>Find what you're looking for quickly by using our keyword search.  Can't find it?  Try our links below.</p>
				<form action="#" name="form_search" id="form_search">
					<label for="input_form_search" id="label_form_search">Find this</label> <input type="text" id="input_form_search" class="input" name="s" />
				</form>
			</div></div>
<?php endif; ?>

			
			<div id="archive_links" class="reduced">
				
				<div id="categories" class="archive_group odd">
					<h2>Categories</h2>
					<p>Find posts using the "tags" provided below.</p>
					<ul class="icon category">
						<?php wp_list_cats('hierarchical=0'); ?>
					</ul>
				</div>

				<div id="authors" class="archive_group even">
					<h2>Authors</h2>
					<p>Select an author for posts and author information.</p>
					<ul class="icon entry">
						<?php wp_list_authors('show_fullname=1&exclude_admin=0'); ?>
					</ul>
				</div>

				<div id="dates" class="archive_group odd">
					<h2>Monthly Archives</h2>
					<p>Find posts by the month they were written.</p>
					<ul class="icon date">
						<?php wp_get_archives('type=monthly'); ?>
					</ul>
				</div>

			</div>
			
			
<!-- Content End -->
<?php get_footer(); ?>